#sccs	"@(#)adminbin:FlpyChk.sh	1.9"

#Repair Floppy Disk

ERROR1="You have a disk mounted already!\n\nPossible reasons: you have another Floppy window opened or you did a 'mount' on the system.Please dismount the floppy disk by closing the 'Floppydisk' window or issue a 'dismount -f' in the 'Unix' window before attempting this operation."



TERMCAP=
export TERMCAP
umask 022

DEVNUM=`mount | wc -l | cut -c7-7`
if [ "$DEVNUM" != "1" ]
then
	clear
	message -cu $ERROR1
	exit
fi

message -cu "\nPlease insert the floppy disk for repair.\n"

if [ $? != "0" ]
then
      exit
fi

if mount /dev/fp021 /mnt > /dev/null 2>&1
then
	clear
	echo "\n\n\
  Floppy disk files are being checked.\n\n        Please stand by ..."
	umount /dev/fp021 > /dev/null
else
	clear
	message -u "This floppy disk does not have a UNIX file system.  Only floppy disks with a UNIX file system can be repaired."
	exit
fi

if /etc/fsck -yq -a /dev/rfp021 > /dev/null
then
	clear
	echo "\n\n  No stored files were damaged.\n\n  The floppy disk is consistent.\n"

else
	#  THIS CODE IS EXECUTED IF THE FSCK FAILS

	clear
	echo "\n\n  Some stored files were damaged.\n\n  The damage has been repaired.\n"

fi

dismount -f
sleep 2
