/**********************************************************\
* Bugs : a bit-mapped arcade game for the AT&T UNIX PC.    *
*                                                          *
* By : Hans Jespersen                                      *
*                                                          *
\**********************************************************/

#include "bugs.h"

initscreen( level )
int level;
{
        int i,j,index;
	char menstr[15];

	srand( (long)time(0) );
        mybase.x = 16;
        mybase.y = BASE_LEVEL;
        wrastop(0,base,4,0,0,0,0,mybase.x,mybase.y,BASE_WIDTH,BASE_HEIGHT,SRCAND,DSTSRC,patwhite);
	if( level < 4 ){
	        for (i = 0; i < MAXSHELTERS; i++) {
			shelterlist[i].x = i*154 + 105;
			shelterlist[i].y = SHELTER_LEVEL;
       		        wrastop(0,shelter,6,0,0,0,0,shelterlist[i].x,shelterlist[i].y,SHELTER_WIDTH,SHELTER_HEIGHT,SRCAND,DSTSRC,patwhite);
        	}
		shelterflag = FALSE;
	}
	else 
		shelterflag = TRUE;
	index = 0;
	for (i = 0; i < 10; i++) {
		for (j = 0; j < 5; j++) {
			buglist[index].x = i*64 + 32;
			buglist[index].y = j*36 + level*DROPINC + UFO_HEIGHT; 
                        wrastop(0,bug[0],4,0,0,0,0,buglist[index].x,buglist[index].y,BUG_WIDTH,BUG_HEIGHT,SRCAND,DSTSRC,patwhite);
			index++;
                }
        }
	strcpy( menstr, "men   :      " );
	menstr[13] = men + '0';
	menstr[14] = '\0';
	wcmd( wn, menstr );
	nbugs = MAXBUGS - 1;
	nshots = -1;
	dropflag = FALSE;
	shotflag = FALSE;
	bugflag = FALSE;
	ufoflag = FALSE;
	quitflag = FALSE;
	bugnum = 0;
	shotnum = 0;
	bugdir = RIGHT;
}
